/****************************************************************************
*  This file is part of the NUTSETUP windows application.
*
*  Copyright (c) 2004 by Michael Fischer. All rights reserved.
*
*  Redistribution and use in source and binary forms, with or without 
*  modification, are permitted provided that the following conditions 
*  are met:
*  
*  1. Redistributions of source code must retain the above copyright 
*     notice, this list of conditions and the following disclaimer.
*  2. Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in the 
*     documentation and/or other materials provided with the distribution.
*  3. Neither the name of the author nor the names of its contributors may 
*     be used to endorse or promote products derived from this software 
*     without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
*  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL 
*  THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
*  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
*  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS 
*  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
*  AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
*  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
*  THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
*  SUCH DAMAGE.
*
*****************************************************************************
*  History:
*
*  11.04.04  mifi   First Version
****************************************************************************/
#ifndef __NUTSETUP_H__
#define __NUTSETUP_H__

/*=========================================================*/
/*  DEFINE: All Structures and Commn Constants             */
/*=========================================================*/
#define NUT_SETUP_NAME_LEN  16  
#define NUT_SETUP_UDP_PORT  0xdcba
#define NUT_SETUP_MAGIC     0x464d

enum {
  NUT_SETUP_REQUEST = 0,
  NUT_SETUP_RESPONSE,
  NUT_SETUP_SET
};

#ifdef _WINDOWS
#pragma pack(1)
#endif

typedef struct _nut_setup {
  WORD  wMagic;
  WORD  wSize;
  
  BYTE  bMode;
  BYTE  bMACAddress[6];
  DWORD dAddress;
  DWORD dMask;
  DWORD dGateway;
  DWORD dVersion;
  char  Name[NUT_SETUP_NAME_LEN+1];
} NUT_SETUP;

#ifdef _WINDOWS
#pragma pack()
#endif

/***********************************************************/
/*                 P R O T O T Y P E S                     */
/***********************************************************/
#ifndef _WINDOWS
void NutSetupStart (void);
#endif

/***********************************************************/
#endif /* !__NUTSETUP_H__ */
 